# List Provider Shares

Launch stage: GA

`GET /api/2.1/unity-catalog/providers/{provider_name_arg}/shares`

Gets an array of a specified provider's shares within the metastore where:
 
   * the caller is a metastore admin, or
   * the caller is the owner.

API scopes: sharing

## Path parameters

- `provider_name_arg` (string, optional)
  Name of the provider in which to list shares.

## Query parameters

- `max_results` (int32, optional)
  Maximum number of shares to return.
    - when set to 0, the page length is set to a server configured value (recommended);
    - when set to a value greater than 0, the page length is the minimum of this value and a server configured value;
    - when set to a value less than 0, an invalid parameter error is returned;
    - If not set, all valid shares are returned (not recommended).
    - Note: The number of returned shares might be less than the specified max_results size, even zero.
   The only definitive indication that no further shares can be fetched is when the next_page_token is unset from the response.
  Constraints: `<= 1000`
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

- `shares` (array of object, optional)
  An array of provider shares.
  - `name` (string, optional)
    The name of the Provider Share.
- `next_page_token` (string, optional)
  Opaque token to retrieve the next page of results. Absent if there are no more pages.
   __page_token__ should be set to this value for the next request (for the next page of results).

## Response

```json
{
  "shares": [
    {
      "name": "string"
    }
  ],
  "next_page_token": "string"
}
```

